import request from '@/utils/request'
// 贷款申请-新增 system:application:add
export function getApplicationAdd(data) {
  return request({
    'url': '/application',
    'method': 'post',
	'data':data
  })
}
// 贷款申请-列表 system:application:list
export function getApplicationList(data) {
  return request({
    'url': '/application/list',
    'method': 'get',
	'data':data
  })
}
// 贷款申请-详情 system:application:list
export function getApplicationDet(data) {
  return request({
    'url': '/application/'+data,
    'method': 'get',
  })
}
// 贷款申请-修改 system:application:edit
export function getApplicationEdit(data) {
  return request({
    'url': '/application/put',
    'method': 'post',
	'data':data
  })
}
// 贷款申请-删除 system:application:remove
export function getApplicationDel(data) {
  return request({
    'url': '/application/delete/'+data,
    'method': 'get',
  })
}
// 贷款申请-暂存 system:application:temporary
export function getApplicationZc(data) {
  return request({
    'url': '/application/temporary',
    'method': 'post',
	'data':data
  })
}
// 获取贷款申请编号
export function getApplicationNum(data) {
  return request({
    'url': '/application/getLoanApplicationNumber',
    'method': 'post',
	'data':data
  })
}
// 贷款进度-列表 system:schedule:list
export function getScheduleList(data) {
  return request({
    'url': '/schedule/list',
    'method': 'get',
	'data':data
  })
}
// 获取模板 system:export:mb
export function getExportMb(data) {
  return request({
    'url': '/application/export/mb',
    'method': 'post',
	'data':data
  })
}
// 文档说明-列表 system:document:list
export function getDocumentList(data) {
  return request({
    'url': '/document/list',
    'method': 'get',
	'data':data
  })
}
// 超链接-列表 system:hyperlink:list
export function getHyperlinkList(data) {
  return request({
    'url': '/system/hyperlink/list',
    'method': 'get',
	'data':data
  })
}

// 审核意见-列表 system:comments:list
export function getCommentsList(data) {
  return request({
    'url': '/comments/list',
    'method': 'get',
	'data':data
  })
}
// 审核意见-审核 system:application:sh
export function getApplicationSh(data) {
  return request({
    'url': '/application/sh',
    'method': 'post',
	'data':data
  })
}
// 审核意见-申诉 system:application:ss
export function getApplicationSs(data) {
  return request({
    'url': '/application/ss',
    'method': 'post',
	'data':data
  })
}
// 审核意见-撤销 system:application:cx
export function getApplicationCx(data) {
  return request({
    'url': '/application/cx',
    'method': 'post',
	'data':data
  })
}
// 审核意见-归档 system:application:gd
export function getapplicationGd(data) {
  return request({
    'url': '/application/gd',
    'method': 'post',
	'data':data
  })
}

// 进度条推行下一步 system:application:schedule
export function getapplicationXib(data) {
  return request({
    'url': '/application/schedule',
    'method': 'post',
	'data':data
  })
}

// 股东附件-列表查询企业股东system:shareholderFj:listNoPage
export function getGdlistNoPage(data) {
  return request({
    'url': '/shareholderFj/listNoPage',
    'method': 'get',
	'data':data
  })
}

// 暂缓出具放款合规表-风险使用system:application:zanHuan
export function getZanHuan(data) {
  return request({
    'url': '/application/zanHuan',
    'method': 'post',
	'data':data
  })
}
// 管理员授权A角色开具放款通知书system:application:authorize
export function getAuthorize(data) {
  return request({
    'url': '/application/authorize',
    'method': 'post',
	'data':data
  })
}
// 管理员同意上会审核按钮system:application:review
export function getReview(data) {
  return request({
    'url': '/application/review',
    'method': 'post',
	'data':data
  })
}
// 随机生成参会人员c:conference:randomAdd
export function getVoteFive(data) {
  return request({
    'url': '/conference/random/five',
    'method': 'post',
	'data':data
  })
}
// 投票人员按照时间分组c:conference:list:time
export function getVoteTimeList(data) {
  return request({
    'url': '/conference/app/time/list',
    'method': 'get',
	'data':data
  })
}
// 投票c:conference:vote
export function getVoteAdd(data) {
  return request({
    'url': '/conference/vote',
    'method': 'post',
	'data':data
  })
}
// 投票贷款申请-列表system:application:conference:list
export function getVoteList(data) {
  return request({
    'url': '/application/conference/list',
    'method': 'get',
	'data':data
  })
}
// 重新投票c:conference:again
export function getcxVoteAdd(data) {
  return request({
    'url': '/conference/again',
    'method': 'post',
	'data':data
  })
}
// 一票否决c:conference:finish
export function getVoteFinish(data) {
  return request({
    'url': '/conference/finish',
    'method': 'post',
	'data':data
  })
}